rotate.hpp File Reference

## Functions

template<typename Rng , typename I = iterator_t<Rng>>
CPP_TEMPLATE_AUX_0 | ranges::b (requires ` range< Rng > &&permutable< I >) bbborrowed_subrange_t< Rng > rotate(Rng &&rng
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename I , typename S >
CPP_TEMPLATE_AUX_0 | ranges::s (requires ` permutable< I > &&sentinel_for< S, I >) sssubrange< I > rotate(I first
| function template `rotate`